For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
      • PUTSet visitor group assignment
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
ConversationsVisitors

Set visitor group assignment

PUT
https://api.brevo.com/v3/conversations/visitorGroup
PUT
/v3/conversations/visitorGroup
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.conversations.setVisitorGroupAssignment({});
8}
9main();
1{
2 "groupId": null,
3 "visitorId": null
4}
Assigns a visitor to a specific agent group or removes them from their current group.
Was this page helpful?
Previous

Managing the status of the order

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects an object.
groupIdanyRequired

Group ID. It can be found on group’s page.

Response

Visitor assigned to group
groupIdany
group ID the visitor was assigned to
visitorIdany
visitor ID

Errors

400
Bad Request Error
404
Not Found Error